package com.haha.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.haha.entity.Distributor;
import com.haha.entity.dto.DistributorCreateDTO;
import com.haha.entity.dto.DistributorQueryDTO;
import com.haha.entity.dto.DistributorUpdateDTO;

public interface DistributorService extends IService<Distributor> {

    Distributor create(DistributorCreateDTO dto, Long creatorId, String creatorName);

    Distributor update(DistributorUpdateDTO dto);

    boolean activate(Long id);

    boolean deactivate(Long id);

    IPage<Distributor> getPage(DistributorQueryDTO queryDTO);

    Distributor getDetail(Long id);

    boolean delete(Long id);
}
